GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
Save ITC04 dataPUT
Get ITC04 SummaryGET
File ITC04 dataPOST
File ITC04 dataPOST
Validate TurnOver ITC04 dataGET
Get ITC04 InvoicesGET
CMP
Payment
Ledger
e-Invoice
Notices

File ITC-04 Job Work Return with DSC

POSThttps://apisandbox.whitebooks.in/itc04/retfile

Used to File ITC04 invoices.

Parameters

query parameters
emailstringrequired
API Developer User Email
panstringrequired
PAN Number
header parameters
gstinstringrequired
GST Number
ret_periodstringrequired
Return Period (MMYYYY)
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Request Body

application/jsonrequired
m2j_chksumstringoptional
M2J Checksum
Example: "0f93729338a69d5dfe1d242eccab0bcb73a712907380434aad1927d664ce86dc"
table5A_chksumstringoptional
Table 5A Checksum
Example: "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945"
table5B_chksumstringoptional
Table 5B Checksum
Example: "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945"
table5B_nostringoptional
Table 5B Count
Example: "0"
table5C_chksumstringoptional
Table 5C Checksum
Example: "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945"
table5C_nostringoptional
Table 5C Count
Example: "0"
m2jNoOfChallanRecstringoptional
M2J Count
Example: "1"
table5A_nostringoptional
Table 5A Count
Example: "0"
m2j_ttl_taxstringoptional
M2J Total Tax
Example: "0.0"

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP POST to /itc04/retfile. Required parameters: email (query parameter), pan (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.
For File ITC04 data (POST /itc04/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Used to File ITC04 invoices.
POST/itc04/retfile
1const response = await fetch('https://apisandbox.whitebooks.in/itc04/retfile?email=value&pan=value', {
2 method: 'POST',
3 headers: {
4 gstin: "value",
5 ret_period: "value",
6 gst_username: "value",
7 state_cd: "value",
8 ip_address: "value",
9 txn: "value",
10 client_id: "value",
11 client_secret: "value",
12 Content-Type: "application/json"
13},
14 body: JSON.stringify({
15 "m2j_chksum": "0f93729338a69d5dfe1d242eccab0bcb73a712907380434aad1927d664ce86dc",
16 "table5A_chksum": "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945",
17 "table5B_chksum": "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945",
18 "table5B_no": "0",
19 "table5C_chksum": "4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945",
20 "table5C_no": "0",
21 "m2jNoOfChallanRec": "1",
22 "table5A_no": "0",
23 "m2j_ttl_tax": "0.0"
24}),
25});
26
27const data = await response.json();
28console.log(data);
No example available.